package open.dolphin.infomodel;

import java.io.IOException;
import java.io.Writer;
import open.dolphin.queries.DolphinQuery;

/**
 * UserLiteModel
 * 
 * @author Minagawa,Kazushi
 */
public class UserLiteModel extends InfoModel {//id

    private static final long serialVersionUID = 6256812305377957756L;
    private String userId;
    private String commonName;
    private LicenseModel licenseModel;

    public UserLiteModel() {
    }

    @Override
    public boolean search(DolphinQuery query) {
        return false;
    }

    /**
     * @param userId The userId to set.
     */
    public void setUserId(String creatorId) {
        this.userId = creatorId;
    }

    /**
     * @return Returns the userId.
     */
    public String getUserId() {
        return userId;
    }

    /**
     * @param name The name to set.
     */
    public void setCommonName(String name) {
        this.commonName = name;
    }

    /**
     * @return Returns the name.
     */
    public String getCommonName() {
        return commonName;
    }

    /**
     * @param licenseModel The licenseModel to set.
     */
    public void setLicenseModel(LicenseModel licenseModel) {
        this.licenseModel = licenseModel;
    }

    /**
     * @return Returns the licenseModel.
     */
    public LicenseModel getLicenseModel() {
        return licenseModel;
    }

    /**
     *
     * @param result
     * @throws IOException
     */
    public void serialize(Writer result) throws IOException {
        //TODO serialize
    }

    public void deserialize(Writer result) throws IOException {
        //TODO deserialize
    }
}
